> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> List contacts given a `next` or `previous` cursor and a limit. If cursor is not provided you will get the beginning of the search set



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /contacts
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      description: >-
        List contacts given a `next` or `previous` cursor and a limit. If cursor
        is not provided you will get the beginning of the search set
      operationId: List-contacts
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The cursor indicating a unique set of results - this should be
              auto generated and you get it from the `next` and `previous`
              fields of the response
            examples:
              - V2VsbCBhcmV1IGN1cmlvdxM=
            title: Cursor
          description: >-
            The cursor indicating a unique set of results - this should be auto
            generated and you get it from the `next` and `previous` fields of
            the response
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The number of results to return - defaults to 10
            examples:
              - 10
            title: Limit
          description: The number of results to return - defaults to 10
        - name: sort_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=id
            title: Sort Key
        - name: sort_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=asc
            title: Sort Type
        - name: first_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: First Name
        - name: first_name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: First Name  Ilike
        - name: first_name__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: First Name  Like
        - name: first_name__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: First Name  In
        - name: last_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Last Name
        - name: last_name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Last Name  Ilike
        - name: last_name__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Last Name  Like
        - name: last_name__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Last Name  In
        - name: email
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email
        - name: email__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email  Ilike
        - name: email__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email  Like
        - name: email__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email  In
        - name: email__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Email  Isnull
        - name: send_contract_enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Send Contract Enabled
        - name: send_invoice_enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Send Invoice Enabled
        - name: customer
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResults_ContactResponseSchema_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResults_ContactResponseSchema_:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          description: The cursor for the next page of results
          examples:
            - V2VsbCBhcmV1IGN1cmlvdxM=
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
          description: The cursor for the previous page of results
          examples:
            - GmBsbCBhcmV1IGN1cmlvdxM=
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: The total count of rows
        results:
          items:
            $ref: '#/components/schemas/ContactResponseSchema'
          type: array
          title: Results
          description: The results for the current page
      type: object
      required:
        - results
      title: PaginatedResults[ContactResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContactResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Contact Id
        customer:
          type: string
          format: uuid
          title: Customer
          description: ' '
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: Contact first name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Contact last name
        email:
          type: string
          title: Email
          description: Contact Email
        send_contract:
          type: boolean
          title: Send Contract
          description: Send Contract
          default: false
        send_invoice:
          type: boolean
          title: Send Invoice
          description: Send Contact
          default: true
      type: object
      required:
        - id
        - customer
        - email
      title: ContactResponseSchema
      description: Create & Update Contact Response Schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````